Create grrrit-wm test instance
Closed, ResolvedPublic

Description

paladox and myself were talking about getting a test instance to test code to prevent developers from missing gerrit notofications via IRC. Is this possible?

Zppix created this task.Oct 30 2016, 5:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2016, 5:58 PM

Test instance of what? What are past examples for "missing gerrit notifications via IRC"? Which exact problem is supposed to be solved in this task?

Please see and follow https://mediawiki.org/wiki/How_to_report_a_bug to make bug reports and feature requests better to understand. Thanks.

@Aklapper a test instance for grrrit-wm bot since sometimes we want to make changes to the bot by testing first but could disturb other people who are watching.

Zppix added a comment.Oct 31 2016, 5:08 PM

@Aklapper what @Paladox said is what i meant to say but my wording got a little jumbled (I swear ill eventually learn how to use phab better)

greg added a subscriber: greg.Oct 31 2016, 5:33 PM

A test instance of Gerrit? Of Phab for the comments? Or the bot? If just the bot then you are welcome to spin up a WMFLabs instance.

Zppix closed this task as Resolved.Oct 31 2016, 5:38 PM
Zppix claimed this task.

Resolving either me or paladox or other lolrrit maintainer will create instance.

Zppix removed Zppix as the assignee of this task.Oct 31 2016, 5:38 PM
Zppix reopened this task as Stalled.EditedOct 31 2016, 5:46 PM

Possible misunderstanding standby

Oh @greg yes please for the test instance. Just needs labs to create the project for this test robot and to copy the original bot to this instance too :)

greg added a comment.Nov 1 2016, 5:34 AM

Of what? Again, please use the names of things you want a test instance of. I'm still confused on what you need. You haven't listed anything yet other than "test instance".

I *think* your last sentence implies you just need to create a project in Labs for you to copy the bot code to. But what instance of Gerrit will you be testing against? What instance of Phabricator?

Paladox added a comment.EditedNov 1 2016, 7:22 AM

@greg Oh, I will just be duplicating grrrit-wm on the instance so it should use the same gerrit account. But as it will be a test I will start it and test then stop it since we doint need two bots. And if test passes upload the patch and merge it for grrrit-wm. if it is a big change then I will get others to review it.

Paladox changed the task status from Stalled to Open.

@Paladox: Why did you re-add the Cloud-Services team project?

(In general: Could people please be specific, avoid using only "this" and "it", actually be explicit what they're talking about, and take more time to phrase sentences that do not offer many different interpretations? This is not a forum to leave just a quick sentence, and every comment creates notifications for others. Thanks.)

Sorry, I didn't see the labs tag had already been added and then removed. Reason why I added the tag is because labs needs to create this new labs project so I can create the instance.

Krenair added a subscriber: Krenair.Nov 1 2016, 2:33 PM

New project requests don't just need to be in Cloud-Services, they also need to block T76375 - but I'm not sure this qualifies for a project of it's own. Why not just an extra tool, or even a second job running on the existing tool user from a different code directory?

Zppix added a comment.Nov 1 2016, 2:34 PM

Of what? Again, please use the names of things you want a test instance of. I'm still confused on what you need. You haven't listed anything yet other than "test instance".

I *think* your last sentence implies you just need to create a project in Labs for you to copy the bot code to. But what instance of Gerrit will you be testing against? What instance of Phabricator?

no @greg we will be using lolrrit-wm

@Krenair oh, I guess we could have it on tools. But we need the ability to perminatly stop this test bot since it will just duplicate things if it is left running.

greg added a comment.Nov 1 2016, 3:59 PM

I saw complaints last night of testing related to this making noise in our production Gerrit (and Phab?); what is your testing plan and how will you ensure that you are not disruptive in the future (as some users have already felt disrupted)? In general, we don't like people testing against our production services.

@greg we could test on either an instance. Or duplicate grrrit-wm on the tools labs so that the production one is always working, and we can test using the test bot under a different nickname.

Ive managed to create a instance on the git project. It is a small instance.

greg added a comment.Nov 2 2016, 11:01 PM

Ive managed to create a instance on the git project. It is a small instance.

So, resolved?

Paladox closed this task as Resolved.Nov 2 2016, 11:02 PM

Yep.